Proposals queries all proposals based on given status.Copy Pageget https://example.com/cosmos/gov/v1/proposalsRecent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Query Paramsproposal_statusstringenumDefaults to PROPOSAL_STATUS_UNSPECIFIEDproposal_status defines the status of the proposals. PROPOSAL_STATUS_UNSPECIFIED: PROPOSAL_STATUS_UNSPECIFIED defines the default proposal status. PROPOSAL_STATUS_DEPOSIT_PERIOD: PROPOSAL_STATUS_DEPOSIT_PERIOD defines a proposal status during the deposit period. PROPOSAL_STATUS_VOTING_PERIOD: PROPOSAL_STATUS_VOTING_PERIOD defines a proposal status during the voting period. PROPOSAL_STATUS_PASSED: PROPOSAL_STATUS_PASSED defines a proposal status of a proposal that has passed. PROPOSAL_STATUS_REJECTED: PROPOSAL_STATUS_REJECTED defines a proposal status of a proposal that has been rejected. PROPOSAL_STATUS_FAILED: PROPOSAL_STATUS_FAILED defines a proposal status of a proposal that has failed. PROPOSAL_STATUS_UNSPECIFIEDPROPOSAL_STATUS_DEPOSIT_PERIODPROPOSAL_STATUS_VOTING_PERIODPROPOSAL_STATUS_PASSEDPROPOSAL_STATUS_REJECTEDPROPOSAL_STATUS_FAILEDAllowed:PROPOSAL_STATUS_UNSPECIFIEDPROPOSAL_STATUS_DEPOSIT_PERIODPROPOSAL_STATUS_VOTING_PERIODPROPOSAL_STATUS_PASSEDPROPOSAL_STATUS_REJECTEDPROPOSAL_STATUS_FAILEDvoterstringvoter defines the voter address for the proposals.depositorstringdepositor defines the deposit addresses from the proposals.pagination.keystringkey is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.pagination.offsetstringoffset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.pagination.limitstringlimit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.pagination.count_totalbooleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.truefalsepagination.reversebooleanreverse is set to true if results are to be returned in the descending order.truefalseResponses 200A successful response. defaultAn unexpected error response.Updated 11 months ago